body {
    font-family: "Arial";
    padding: 0;
    margin: 0;
}

main {
    /*display: flex;*/
    /*gap: 2em;*/
    position: relative;
}

#main-canvas {

}

.rangeWrapper {
    display: grid;
    grid-template-columns: 1fr auto;
    gap: 2em;
}

.object-tools {
    border: 1px solid rgba(255, 255, 255, 0.46);
    border-radius: 15px;
    padding: 15px;
    box-sizing: border-box;
    width: 100%;
}

.object-tools h4 {
    margin-block-start: 0;
}

#menu {
    position: absolute;
    top: 20px;
    right: 20px;
    background-color: rgba(0, 0, 0, 0.33);
    backdrop-filter: blur(5px) brightness(0.6);
    color: white;
    padding: 20px;
    border-radius: 20px;
    max-height: 90vh;
    overflow-y: auto;
}

#show-menu-button {
    display: flex;
    justify-content: flex-end;
    cursor: pointer;
    float: right;
    background-color: transparent;
    color: white;
    border: none;
    font-size: 26px;
    position: absolute;
    top: 30px;
    right: 20px;
}

.hide-menu .menu-content {
    display: none;
}

.hide-menu #show-menu-button {
    position: relative;
    top: 0;
    right: 0;
}

#tools {
    display: flex;
    flex-direction: column;
    gap: 20px;
    width: 100%;
}

#add-entity-label {
    background-color: rgba(255, 255, 255, 0.22);
    padding: 10px 25px;
    cursor: pointer;
    text-align: center;
    transition: 0.2s ease-in-out;
}

#add-entity-label:hover {
    background-color: rgba(255, 255, 255, 0.4);
}

#entity-select {
    padding: 10px 20px;
    background-color: rgba(255, 255, 255, 0.51);
}
